gnutls_record_cork(3)

NAME
gnutls_record_cork - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_record_cork(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
If called, gnutls_record_send() will no longer send any records. Any sent records will be cached until gnutls_record_uncork() is called.

This function is safe to use with DTLS after GnuTLS 3.3.0.

SINCE
3.1.9

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/